# List tags for an asset

Lists tags for the matching asset.

Endpoint: GET /assets/{asset_id}/tags
Version: v4
Security: APIToken

## Path parameters:

  - `asset_id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgkkd-fr5iv4-443db"

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

  - `Accept` (string, required)
    Enum: "application/json"

  - `Authorization` (string, required)
    Bearer token for authentication

## Query parameters:

  - `include` (string)
    Set it to asset to return those asset records related to the tag
you're fetching. Related records are returned in an included array in
the response.

Allowed value:  asset

WARNING: This parameter can slow response times.
    Example: "asset"

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (string, required)
    Unique identifier for the resource instance.
    Example: "a3dlao-hd6so4-7d91d2"

  - `data.type` (string, required)
    The type of the resource.
    Enum: "tags"

  - `data.attributes` (object, required)

  - `data.attributes.name` (string, required)
    A keyword associated with exactly one asset.

For example, if you have several assets that represent products you sell, you might create a "product" tag for each one. If you modify or delete the "product" tag for any particular Asset, it doesn't affect other tags with the same value on other assets.
    Example: "product"

  - `data.attributes.auto_generated` (boolean)
    If true, this tag was generated automatically by our smart analysis of file attachments; otherwise, a user created it.
    Example: true

  - `data.attributes.source` (string,null)
    The tag author.
    Example: "google_vision"

  - `meta` (object, required)
    Page context information.

  - `meta.current_page` (integer, required)
    Example: 1

  - `meta.next_page` (object,null, required)

  - `meta.prev_page` (object,null, required)

  - `meta.total_pages` (number, required)
    Example: 1

  - `meta.total_count` (number, required)
    Example: 1


